NX Open C++ Reference Guide
|
Sketch Fit Curve builder class. More...
Additional Inherited Members | |
![]() | |
enum | FittingParametersOptions { FittingParametersOptionsDegreeAndSegments, FittingParametersOptionsDegreeAndTolerance, FittingParametersOptionsTemplateCurve } |
Fitting parameters options. More... | |
enum | ProjectionDirectionOptions { ProjectionDirectionOptionsXc, ProjectionDirectionOptionsYc, ProjectionDirectionOptionsZc, ProjectionDirectionOptionsNormal, ProjectionDirectionOptionsView, ProjectionDirectionOptionsVector } |
Auxiliary curve projection direction options. More... | |
enum | TargetSourceTypes { TargetSourceTypesInfer, TargetSourceTypesSpecifiedPoints, TargetSourceTypesChainedPoints, TargetSourceTypesCurve, TargetSourceTypesFace, TargetSourceTypesFacetBody } |
Fitting target types. More... | |
enum | Types { TypesFitSpline, TypesFitLine, TypesFitCircle, TypesFitEllipse } |
Fitting types. More... | |
![]() | |
bool | CanKeepTemplateSelected () |
Returns the flag indicating if template curve should be kept selected Created in NX8.5.0. | |
bool | CanRejectPointsAutomatically () |
Returns the flag indicating if points beyond a threshold value should be ignored during fitting Created in NX8.5.0. | |
bool | CanUseAllPointsInPart () |
Returns the flag indicating if all points in the part can be used for chaining Created in NX8.5.0. | |
void | ChainAllPoints () |
Chains all the points in work part based on one selected point and evaluates the curve. | |
NXOpen::Features::GeometricConstraintDataManager * | ConstraintManager () |
Returns the constraint manager Created in NX8.5.0. | |
int | Degree () |
Returns the degree Created in NX8.5.0. | |
void | DeleteTargetPoints (const std::vector< NXOpen::Point * > &points) |
Deletes target points Created in NX8.5.0. | |
void | Evaluate () |
Evaluates the curve Created in NX8.5.0. | |
NXOpen::GeometricUtilities::CurveExtensionBuilder * | Extender () |
Returns the extension option Created in NX8.5.0. | |
NXOpen::Features::FitCurveBuilder::FittingParametersOptions | FittingParameters () |
Returns the fitting parameters Created in NX8.5.0. | |
NXOpen::Point * | GetFinalTargetPoint (int index) |
Returns the target point that are finally used for fitting. | |
int | GetFinalTargetPointsSize () |
Returns the number of target points that are finally used for fitting. | |
bool | HasRadius () |
Returns the has radius Created in NX8.5.0. | |
bool | HasReversedDirection () |
Returns the flag indicating if fitted curve direction should be reversed Created in NX8.5.0. | |
bool | HasUniformSegments () |
Returns the flag indicating if uniform segments should be created Created in NX8.5.0. | |
bool | IsAssociative () |
Returns the flag indicating if a feature should be created Created in NX8.5.0. | |
bool | IsClosedBSpline () |
Returns the flag indicating if a closed b-spline is to be fitted Created in NX8.5.0. | |
bool | IsClosedCurve () |
Returns the flag indicating if a full circle or ellipse is to be fitted Created in NX8.5.0. | |
void | MakeConstraint (NXOpen::Point *point) |
In case of point targets, makes a target point a positional constraint. | |
NXOpen::Direction * | ProjectionDirection () |
Returns the projection direction Created in NX8.5.0. | |
NXOpen::Features::FitCurveBuilder::ProjectionDirectionOptions | ProjectionDirectionOption () |
Returns the projection direction option Created in NX8.5.0. | |
NXOpen::Expression * | Radius () |
Returns the circle radius Created in NX8.5.0. | |
NXOpen::Expression * | RejectionThreshold () |
Returns the rejection threshold Created in NX8.5.0. | |
void | RemoveConstraint (NXOpen::Point *point) |
Makes existing positional constraint a free target point Created in NX8.5.0. | |
int | Segments () |
Returns the segments Created in NX8.5.0. | |
void | SetAssociative (bool associative) |
Sets the flag indicating if a feature should be created Created in NX8.5.0. | |
void | SetCanKeepTemplateSelected (bool canKeepTemplateSelected) |
Sets the flag indicating if template curve should be kept selected Created in NX8.5.0. | |
void | SetCanRejectPointsAutomatically (bool rejectPoints) |
Sets the flag indicating if points beyond a threshold value should be ignored during fitting Created in NX8.5.0. | |
void | SetCanUseAllPointsInPart (bool canUseAllPointsInPart) |
Sets the flag indicating if all points in the part can be used for chaining Created in NX8.5.0. | |
void | SetClosedBSpline (bool isClosed) |
Sets the flag indicating if a closed b-spline is to be fitted Created in NX8.5.0. | |
void | SetClosedCurve (bool isClosed) |
Sets the flag indicating if a full circle or ellipse is to be fitted Created in NX8.5.0. | |
void | SetDegree (int degree) |
Sets the degree Created in NX8.5.0. | |
void | SetFittingParameters (NXOpen::Features::FitCurveBuilder::FittingParametersOptions fittingParameters) |
Sets the fitting parameters Created in NX8.5.0. | |
void | SetHasRadius (bool hasRadius) |
Sets the has radius Created in NX8.5.0. | |
void | SetHasReversedDirection (bool hasReversedDirection) |
Sets the flag indicating if fitted curve direction should be reversed Created in NX8.5.0. | |
void | SetHasUniformSegments (bool hasUniformSegments) |
Sets the flag indicating if uniform segments should be created Created in NX8.5.0. | |
void | SetProjectionDirection (NXOpen::Direction *projectionDirection) |
Sets the projection direction Created in NX8.5.0. | |
void | SetProjectionDirectionOption (NXOpen::Features::FitCurveBuilder::ProjectionDirectionOptions projectionDirectionOption) |
Sets the projection direction option Created in NX8.5.0. | |
void | SetSegments (int segments) |
Sets the segments Created in NX8.5.0. | |
void | SetTargetSourceType (NXOpen::Features::FitCurveBuilder::TargetSourceTypes targetSourceType) |
Sets the target type Created in NX8.5.0. | |
void | SetTolerance (double tolerance) |
Sets the tolerance Created in NX8.5.0. | |
void | SetType (NXOpen::Features::FitCurveBuilder::Types type) |
Sets the type Created in NX8.5.0. | |
NXOpen::SelectTaggedObjectList * | Target () |
Returns the target objects Created in NX8.5.0. | |
NXOpen::Features::FitCurveBuilder::TargetSourceTypes | TargetSourceType () |
Returns the target type Created in NX8.5.0. | |
NXOpen::SelectSpline * | TemplateCurve () |
Returns the template curve Created in NX8.5.0. | |
double | Tolerance () |
Returns the tolerance Created in NX8.5.0. | |
NXOpen::Features::FitCurveBuilder::Types | Type () |
Returns the type Created in NX8.5.0. | |
void | UpdateTargetSelectionOnPointEditing () |
Updates target selection by replacing original point by edited point. | |
Sketch Fit Curve builder class.
To create a new instance of this class, use Features::FeatureCollection::CreateSketchFitCurveBuilder
Default values.
Property | Value |
---|---|
IsClosedCurve |
true |
ProjectionDirectionOption |
Normal |
Radius.Value |
50.0 (millimeters part), 2.0 (inches part) |
RejectionThreshold.Value |
10.0 (millimeters part), 0.5 (inches part) |
Created in NX8.5.0.